Control Panel Plugins Release Log

LiteSpeed's control panel plugins allow for easy control of LSWS functions from your hosting control panel.


Product/VersionRelease DateType
cPanel/WHM Plugin 2.1.13 9-28-2016 Feature Enhancements, Bug Fixes
  • [Security] - Protected against the target="_blank" vulnerability.
  • [Cache Mgr] - Added a new possible "Warning" state for installs that have the LiteSpeed Cache plugin active but are not caching due to another cache plugin being detected as active.
  • [Cache Mgr] - Improved error messages.
  • [Cache Mgr] - Combined Mass Enable & Disable buttons.
  • [Cache Mgr] - Output boxes are now smaller and scroll-able when containing many messages.
  • [Cache Mgr] - Fixed a bug that could cause .htaccess to not be updated correctly if WordPress site and home addresses did not match.
  • [Cache Mgr] - Fixed a bug where refreshing status on a single installation or using checkbox selection would not save changes to data file.
cPanel/WHM Plugin 2.1.12 9-14-2016 Feature Enhancements
  • [Improvement] - Added support for php71.
  • [Removal] - Removed private cache Quick Configuration as it is no longer supported.
  • [Cache Mgr] - Added a Cache Root Setup feature.
cPanel/WHM Plugin 2.1.11 8-19-2016 Bug Fixes
  • [Cache Mgr] - Added support for detecting wp-config.php files located 1 directory above a WordPress installation's root directory.
  • [Cache Mgr] - Fixed a bug that could cause duplicate entries in scan results.
  • [Cache Mgr] - Fixed a bug where a corrupted manager data file would not be handled correctly.
  • [Cache Mgr] - Fixed a bug where certain error messages were not being displayed after a forced version change.
  • [Cache Mgr] - Fixed a bug where Version Manager was still clickable when a user did not have caching.
  • [Cache Mgr] - Fixed a bug that could sometimes cause duplicate <IfModule LiteSpeed> tags in .htaccess.
Plesk Extension 1.2.5 8-10-2016 Feature Enhancement
  • Support for multiple PHP versions through Plesk's PHP selector.
cPanel/WHM Plugin 2.1.10 8-4-2016 Feature Enhancements, Bug Fixes
  • [Cache Mgr] - New Version Manager page added with the following features:
    • Change current active LiteSpeed Cache for WordPress plugin version.
    • Force update all selected LiteSpeed Cache for WordPress plugin versions to a chosen version.
  • [Cache Mgr] - LiteSpeed configuration will now be automatically converted to be EA4 compatible during installation if EA4 is detected.
  • [Cache Mgr] - Added progress screens for Mass Enable/Disable operations.
  • [Cache Mgr] - Fixed a bug that stopped scan from working properly when no scan data was present.
  • [Cache Mgr] - Fixed a bug that would cause the flag file to not be set in some cases.
  • [Cache Mgr] - Fixed a bug where in very rare cases, the status of an installation would not be updated correctly after running Mass Enable/Disable.
  • [Cache Mgr] - Fixed a bug that could cause a "Your LSPHP configuration may be incorrect for use with EasyApache 4" warning message to incorrectly appear after updating.
cPanel/WHM Plugin 2.1.9 7-5-2016 Feature Enhancements
  • [Cache Mgr] - Added a "Scanning..." screen to show current scan progress.
  • [Cache Mgr] - Added support for handling WordPress multisite installations.
  • [Cache Mgr] - Mass Enable now bypasses and flags installations that already have LiteSpeed Cache installed and disabled.
  • [Cache Mgr] - Mass Disable now bypasses and flags WordPress multisite installations that have LiteSpeed Cache network activated.
cPanel/WHM Plugin 2.1.8 6-17-2016 Feature Enhancements
  • Added "Discover New" button.
  • Added LSPHP configuration verification and warning messages for EasyApache users.
  • Auto-detect and repair configuration incompatibilities caused migration between EA3 and EA4.
  • Enable/Disable Easy Apache Integration button no longer appears on EasyApache 4 installations as this is unnecessary.
cPanel/WHM Plugin 2.1.7 5-21-2016 Feature Enhancement
  • New Feature: Cache Management section for installing and enabling/disabling LiteSpeed Cache for WordPress installations on known WordPress installations.
Plesk Extension 1.2.4 2-2-2016 Bug fix
  • Fixed scripts when switching between Apache and LiteSpeed on CentOS7 and Debian (where systemd is used).
cPanel/WHM Plugin 2.1.6 2-2-2016 Bug fix
  • Fixed scripts when switching between Apache and LiteSpeed on CentOS7 (where systemd is used).
Plesk Extension 1.2.3 8-31-2015 Performance enhancements, Bug fixes
  • Plesk will now detect if Nginx reverse proxy is running and display the following error message in the page header: "LiteSpeed cannot run if nginx proxy is running."
  • (CentOS) Added the ability for users to choose a PHP version when the corresponding RPM package is available.
  • Fixed installation directory error on Debian/Ubuntu platforms.
Plesk Extension 1.2.2 7-20-2015 Performance enhancement
  • Override of /etc/init.d/httpd with lsws's rc script for faster add/remove domain in Plesk 12.
Plesk Extension 1.2.1 2-25-2015 Compatibility improvement
  • Auto-detect Plesk installation directory.
Plesk Extension 1.2 10-24-2014 Compatibility improvement
  • Default LSPHP contains more packages for greater overall compatibility.
cPanel/WHM Plugin 2.1.5 10-17-2014 Compatibility improvement
  • Improvement: Auto-detect setuid settings and adjust to make them compatible with LSWS.
cPanel/WHM Plugin 2.1.4 8-6-2014 Minor bug and compatibility fixes
  • Improvement: Auto-detect EasyApache PHP source directory.
  • Improvement: Matching PHP is copied to /usr/local/bin/lsphp after successful builds. (Improves compatibility with CloudLinux PHP Selector.)
Plesk Extension 1.1 7-2-2014 Compatibility improvement
  • Increased compatibility with Plesk 12.
DirectAdmin Plugin 1.0.6 5-8-2014 Compatibility with CustomBuild 2.0
  • Changed coding for compatibility with CustomBuild 2.0.
cPanel/WHM Plugin 2.1.3 4-23-2014 Minor bug fixes
  • Updating PHP will now correctly update CageFS skeletons.
  • Created workaround in response to PHP bug #66842 (latest version of PHP unable to make install).
Plesk Extension 1.0.3 4-23-2014 Minor bug fixes and new functionality
  • CageFS skeletons will get updated PHP after LSWS installation.
  • Created workaround in response to PHP bug #66842 (latest version of PHP unable to make install).
DirectAdmin Plugin 1.0.5 4-23-2014 Minor bug fixes and new functionality
  • CageFS skeletons will get updated PHP after LSWS installation.
  • Updating PHP will now correctly update CageFS skeletons.
  • Created workaround in response to PHP bug #66842 (latest version of PHP unable to make install).
cPanel/WHM Plugin 2.1.2 11-18-2013 Minor bug fix
  • Fixed bug causing terms of service to not appear correctly.
  • Bundled with LSWS 4.2.5 from this date.
cPanel/WHM Plugin 2.1.1 11-12-2013 Bug fix
  • Fixed bug causing WHM Plugin to appear unregistered.
  • Bundled with LSWS 4.2.5 from this date.
cPanel/WHM Plugin 2.1 10-30-2013 Major feature enhancement
  • Added one-click trial key request from plugin.
  • Changed look and feel to match new WHM.
  • Bundled with LSWS 4.2.5.
Plesk Extension 1.0.2 10-30-2013 Minor bug fix
  • Fixed bug when handling invalid serial number registration.
Plesk Extension 1.0.1 10-15-2013 Major security fix
  • Fixed ACL compatibility issues. (Reported by Rack911.)

STAY CONNECTED